# A simple example of a modern programming exercise

[![Run on Repl.it](https://q37.info/s/kpm7xhfm.png)](https://q37.info/s/9vfsdrm7) [![About online demonstrations](https://img.shields.io/badge/about-online%20demonstrations-informational)](https://q37.info/s/sssznrb4)

[![license: MIT](https://img.shields.io/github/license/epeios-q37/base-exercise?color=yellow&style=for-the-badge)](https://github.com/epeios-q37/base-exercise/blob/master/LICENSE)

This project has for purpose to show, with a simple example, how to use the [*EduTK*](https://q37.info/s/xhgwkn7v) *Python* library to make a programming exercise. It features a somewhat improved version of the [*Hello, World!*](https://q37.info/s/k9hfpjbq) program.

!['Hello, World!'](https://q37.info/s/tmzd3rzv.png)

Simply retrieve the repository (`git clone https://github.com/epeios-q37/base-exercise`, or get the corresponding *ZIP* file [here](https://q37.info/s/3ckksnck)), and, in a console, from the root directory, launch `python main.py`. You may (should) also use `python3`.

Alternatively, you can also use [*Repl.it*](https://q37.info/s/mxmgq3qm), so you have nothing to install on your computer. Follow this [link](https://q37.info/s/9vfsdrm7), click on the green `run` button, select the language, and then click on the then displayed URL.

When the exercise is launched, a web browser will automatically be opened to give access to its interface, which you can see in the above picture. Scanning the displayed [QR code](https://q37.info/s/3pktvrj7) with a mobile device like a smartphone gives access to the exercise on this device.

`en.py` is the English version of the exercise, and the `fr.py`, the French one. To adapt the exercise to another language, duplicate the `en.py` or `fr.py` file in the `workshop` folder, and adapt the content to the desired language.

For the rationale behind this project, see to <https://q37.info/s/cbms43s9>.

---

This project is based on the [*Atlas* toolkit](https://atlastk.org). Other projects using this toolkit can be found here: <https://q37.info/s/sssznrb4>.

